tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 53952] New: Add support for TLS 1.1 and 1.2
Date Tue, 02 Oct 2012 13:56:30 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=53952

          Priority: P2
            Bug ID: 53952
          Assignee: dev@tomcat.apache.org
           Summary: Add support for TLS 1.1 and 1.2
          Severity: normal
    Classification: Unclassified
                OS: Linux
          Reporter: sebek64@post.cz
          Hardware: PC
            Status: NEW
           Version: unspecified
         Component: Library
           Product: Tomcat Native

Created attachment 29433
  --> https://issues.apache.org/bugzilla/attachment.cgi?id=29433&action=edit
patch for tomcat trunk that adds support for newer TLS versions

It would be nice to have support for newer versions of TLS protocol. Due to
BEAST attack, the only usable ciphersuites supported by TLS version 1.0 are
those based on RC4.

I'll attach compile-tested patches for both tcnative and tomcat.

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message